Name: docs-cppreference
Version: 2008.4.14
Release: alt2
Summary: A complete reference for C++ language.

License: GPLv2+
Group: Documentation
Source0: %name-%version.tar.bz2
Source1: %name.desktop
Source2: %name.png

Url: http://cppreference.com

#Requires: kchmviewer 

%description
The cppreference is a complite offline manual for standart library of C++
language. It includes full description of syntaxis and using clases of standart library

%prep
%setup -q

%install
install -d	%buildroot%_datadir/doc/%name-%version \
    		%buildroot%_datadir/doc/%name-%version/{cppalgorithm,cppbitset,cppdeque,cppio,cpplist,cppmap,cppmisc,cppmultimap,cppmultiset,cpppriority_queue,cppqueue,cppset,cppsstream,cppstack,cppstring,cppvector,keywords,preprocessor,stddate,stdio,stdmath,stdmem,stdother,stdstring} \
		%buildroot%_datadir/applnk/Development \
		%buildroot%_datadir/icons
		
install -m 644 *.html *.pdf *.css *.chm   %buildroot%_datadir/doc/%name-%version

install -m 644  cppalgorithm/*		%buildroot%_datadir/doc/%name-%version/cppalgorithm
install -m 644  cppbitset/*		%buildroot%_datadir/doc/%name-%version/cppbitset
install -m 644	cppdeque/*        	%buildroot%_datadir/doc/%name-%version/cppdeque
install -m 644	cppio/*            	%buildroot%_datadir/doc/%name-%version/cppio
install -m 644	cpplist/*          	%buildroot%_datadir/doc/%name-%version/cpplist
install -m 644	cppmap/*           	%buildroot%_datadir/doc/%name-%version/cppmap
install -m 644	cppmisc/*          	%buildroot%_datadir/doc/%name-%version/cppmisc
install -m 644	cppmultimap/*      	%buildroot%_datadir/doc/%name-%version/cppmultimap
install -m 644	cppmultiset/*      	%buildroot%_datadir/doc/%name-%version/cppmultiset
install -m 644	cpppriority_queue/*	%buildroot%_datadir/doc/%name-%version/cpppriority_queue
install -m 644	cppqueue/*         	%buildroot%_datadir/doc/%name-%version/cppqueue
install -m 644	cppset/*           	%buildroot%_datadir/doc/%name-%version/cppset
install -m 644	cppsstream/*      	%buildroot%_datadir/doc/%name-%version/cppsstream
install -m 644	cppstack/*         	%buildroot%_datadir/doc/%name-%version/cppstack
install -m 644	cppstring/*        	%buildroot%_datadir/doc/%name-%version/cppstring
install -m 644	cppvector/*        	%buildroot%_datadir/doc/%name-%version/cppvector
install -m 644	keywords/*         	%buildroot%_datadir/doc/%name-%version/keywords
install -m 644	preprocessor/*     	%buildroot%_datadir/doc/%name-%version/preprocessor
install -m 644	stddate/*          	%buildroot%_datadir/doc/%name-%version/stddate
install -m 644	stdio/*            	%buildroot%_datadir/doc/%name-%version/stdio
install -m 644	stdmath/*          	%buildroot%_datadir/doc/%name-%version/stdmath
install -m 644	stdmem/*           	%buildroot%_datadir/doc/%name-%version/stdmem
install -m 644	stdother/*         	%buildroot%_datadir/doc/%name-%version/stdother
install -m 644	stdstring/*        	%buildroot%_datadir/doc/%name-%version/stdstring
install -m 644	%SOURCE1        	%buildroot%_datadir/applnk/Development
install -m 644	%SOURCE2        	%buildroot%_datadir/icons

%files
%_datadir/doc/%name-%version/*.html
%_datadir/doc/%name-%version/*.pdf
%_datadir/doc/%name-%version/*.css
%_datadir/doc/%name-%version/*.chm
%_datadir/doc/%name-%version/cppalgorithm/*
%_datadir/doc/%name-%version/cppbitset/*
%_datadir/doc/%name-%version/cppdeque/*
%_datadir/doc/%name-%version/cppio/*
%_datadir/doc/%name-%version/cpplist/*
%_datadir/doc/%name-%version/cppmap/*
%_datadir/doc/%name-%version/cppmisc/*
%_datadir/doc/%name-%version/cppmultimap/*
%_datadir/doc/%name-%version/cppmultiset/*
%_datadir/doc/%name-%version/cpppriority_queue/*
%_datadir/doc/%name-%version/cppqueue/*
%_datadir/doc/%name-%version/cppset/*
%_datadir/doc/%name-%version/cppsstream/*
%_datadir/doc/%name-%version/cppstack/*
%_datadir/doc/%name-%version/cppstring/*
%_datadir/doc/%name-%version/cppvector/*
%_datadir/doc/%name-%version/keywords/*
%_datadir/doc/%name-%version/preprocessor/*
%_datadir/doc/%name-%version/stddate/*
%_datadir/doc/%name-%version/stdio/*
%_datadir/doc/%name-%version/stdmath/*
%_datadir/doc/%name-%version/stdmem/*
%_datadir/doc/%name-%version/stdother/*
%_datadir/doc/%name-%version/stdstring/*
%_datadir/applnk/Development/*.desktop
%_datadir/icons/*.png

%changelog
* Mon Oct 06 2008 Pavel V. Solntsev <p_solntsev@altlinux.org> 2008.4.14-alt2
- Mistake with "complete" has been fixed

* Fri Oct 03 2008 Pavel V. Solntsev <p_solntsev@altlinux.org> 2008.4.14-alt1
- First build package for ALT Linux Team


